<?php
// $Id: admin.php,v 1.5 2005/10/28 11:56:06 ohwada Exp $

// 2005-10-20 K.OHWADA
// REQ 3028: send apoval email to anonymous user

// 2005-09-01 K.OHWADA
// BUG 2931: unmatch popup menu 'prefrence' and index menu 'module setting'

// 2005-08-09
// BUG 2827: RSS refresh: Invalid argument supplied for foreach()
// _WEBLINKS_ADMIN_NO_LINK_BROKEN_CHECK, others

// 2005-01-20 K.OHWADA
// add link field, RSS/ATOM view, user_list, mail_user

// 2004-11-28 K.OHWADA
// config.php, etc

//=========================================================
// language for admin
// 2004-10-24 K.OHWADA
//=========================================================

define("_WEBLINKS_ADMIN_INDEX","管理者目次");

// BUG 2931: unmatch popup menu 'prefrence' and index menu 'module setting'
define("_WEBLINKS_ADMIN_MODULE_CONFIG_1","モジュールの設定１ (一般設定) ");

define("_WEBLINKS_ADMIN_MODULE_CONFIG_2","モジュールの設定２");
define("_WEBLINKS_ADMIN_ADDMODDEL_CATEGORY","カテゴリの追加／修正／削除");
define("_WEBLINKS_ADMIN_ADD_LINK","新規リンクの追加");
define("_WEBLINKS_ADMIN_OTHERFUNC","その他の機能");
define("_WEBLINKS_ADMIN_GOTO_ADMIN_INDEX","管理者目次へ");

//======	config.php 	======
// アクセス権限
define('_WEBLINKS_ADMIN_AUTH','アクセス権限の設定');
define('_WEBLINKS_ADMIN_AUTH_TEXT', 'サイト管理者は全ての管理権限を持っている');
define('_WEBLINKS_AUTH_SUBMIT','新規リンク登録の権限');
define('_WEBLINKS_AUTH_SUBMIT_DSC','新規リンクを登録する権限を与えられるグループを指定する');
define('_WEBLINKS_AUTH_SUBMIT_AUTO','新規リンク登録の自動承認の権限');
define('_WEBLINKS_AUTH_SUBMIT_AUTO_DSC','新規リンクを登録したときに自動承認される権限を与えられるグループを指定する');
define('_WEBLINKS_AUTH_MODIFY','リンク編集の権限');
define('_WEBLINKS_AUTH_MODIFY_DSC','リンクを編集する権限を与えられるグループを指定する');
define('_WEBLINKS_AUTH_MODIFY_AUTO','リンク編集の自動承認の権限');
define('_WEBLINKS_AUTH_MODIFY_AUTO_DSC','リンクを編集したときに自動承認される権限を与えられるグループを指定する');
define('_WEBLINKS_AUTH_RATELINK','サイト評価の権限');
define('_WEBLINKS_AUTH_RATELINK_DSC','サイトを評価する権限を与えられるグループを指定する<br />「サイト評価を使用する」が「はい」の場合に有効です。');
define('_WEBLINKS_USE_PASSWD','リンク編集時のパスワード認証');
define('_WEBLINKS_USE_PASSWD_DSC','「はい」を選択すると、<br />リンク編集時に自動承認の権限が与えられていない場合は、<br />パスワード認証画面が表示されます。');
define('_WEBLINKS_USE_RATELINK','サイト評価を使用する');
define('_WEBLINKS_USE_RATELINK_DSC','「はい」を選択すると、<br />「このサイトを評価する」と「評価」結果を表示します。');
define('_WEBLINKS_AUTH_UPDATED', 'アクセス権限を更新した');

// RSS/ATOM
define('_WEBLINKS_ADMIN_RSS','RSS/ATOMの設定');
//define('_WEBLINKS_RSS_POST','RSS/ATOMのURLの投稿を許可する');
//define('_WEBLINKS_RSS_POST_DSC','「はい」を選択すると、RSS/ATOMのURLの投稿欄を表示します。');
define('_WEBLINKS_RSS_MODE_AUTO','RSS/ATOM記事の自動更新');
define('_WEBLINKS_RSS_MODE_AUTO_DSC', '「はい」を選択すると、詳細表示のときにRSS/ATOMのURLの自動検出と記事の自動更新を実行します。');
define('_WEBLINKS_RSS_MODE_DATA','表示するRSS/ATOMのデータ');
define('_WEBLINKS_RSS_MODE_DATA_DSC', '「ATOM FEED」を選択すると、atomfeedテーブルにある構文解析後のデータを使用します。<br />「XML」を選択すると、linkテーブルにある構文解析前のXMLデータを使用します。<br />atomfeedテーブルは、フィルタ処理が入っているので、全てのデータが保存されていないことがあります。');
define('_WEBLINKS_RSS_CACHE','RSS/ATOMのキャッシュ時間');
define('_WEBLINKS_RSS_CACHE_DSC', '設定値は１時間単位です。');
define('_WEBLINKS_RSS_LIMIT','RSS/ATOM記事の最大の件数');
define('_WEBLINKS_RSS_LIMIT_DSC', 'atomfeed テーブルに格納するRSS/ATOM記事の最大の件数を指定する<br />この値を超えると日付の古い方からクリアされる。<br />0 は制限なし。');
define('_WEBLINKS_RSS_SITE','RSS検索サイト');
define('_WEBLINKS_RSS_SITE_DSC','RSS検索サイトのRSSのURLの一覧を指定する。<br />複数指定するときは改行で区切る。<br />ATOMのURLは指定できない。');
define('_WEBLINKS_RSS_BLACK','RSS/ATOMのブラックリスト');
define('_WEBLINKS_RSS_BLACK_DSC','RSS/ATOMから記事を収集するときに拒否するURLの一覧を指定する。<br />複数指定するときは改行で区切る。<br />perl形式の正規表現が使用できる');
define('_WEBLINKS_RSS_WHITE','RSS/ATOMのホワイトリスト');
define('_WEBLINKS_RSS_WHITE_DSC','ブラックリストに一致した場合でも登録するURLの一覧を指定する。<br />複数指定するときは改行で区切る。<br />perl形式の正規表現が使用できる');
define('_WEBLINKS_RSS_URL_CHECK', 'リンク情報のURLに、ブラックリストと一致するものがあります。');
define('_WEBLINKS_RSS_URL_CHECK_DSC', '必要であれば、下段のホワイトリストの内容を、登録フォームにコピー＆ペーストしてください。');
define('_WEBLINKS_RSS_UPDATED', 'RSS/ATOMの設定を更新した');


// RSS/ATOM view
define('_WEBLINKS_ADMIN_RSS_VIEW','RSS/ATOMの表示の設定');
define('_WEBLINKS_RSS_MODE_TITLE','タイトルのHTMLタグの表示');
define('_WEBLINKS_RSS_MODE_TITLE_DSC', '「はい」を選択すると、HTMLタグがあるときは、そのまま表示する。<br />「いいえ」を選択すると、HTMLタグを削除して表示する。');
define('_WEBLINKS_RSS_MODE_CONTENT','本文のHTMLタグの表示');
define('_WEBLINKS_RSS_MODE_CONTENT_DSC', '「はい」を選択すると、HTMLタグがあるときは、そのまま表示する。<br />「いいえ」を選択すると、HTMLタグを削除して表示する。');
define('_WEBLINKS_RSS_NEW','「新着RSS/ATOM記事」を表示する件数
');
define('_WEBLINKS_RSS_NEW_DSC', 'トップページに「新着RSS/ATOM記事」を表示する最大件数を指定してください。。');
define('_WEBLINKS_RSS_PERPAGE','RSS/ATOM記事を１ページ毎に表示する件数
');
define('_WEBLINKS_RSS_PERPAGE_DSC', 'リンク詳細ページとRSS/ATOM記事ページで１ページあたりに表示する最大件数を指定してください。');
define('_WEBLINKS_RSS_NUM_CONTENT','RSS/ATOM記事に本文を表示する件数');
define('_WEBLINKS_RSS_NUM_CONTENT_DSC', 'リンク詳細ページにRSS/ATOM記事の本文を表示する記事数を指定してください。<br />その件数以上の記事には要約を表示する。');
define('_WEBLINKS_RSS_MAX_CONTENT','RSS/ATOM記事の最大文字数');
define('_WEBLINKS_RSS_MAX_CONTENT_DSC', 'RSS/ATOM記事のページでRSS/ATOM記事を表示する最大文字数を指定してください。<br />「本文のHTMLタグの表示」が「いいえ」のときに有効です。');
define('_WEBLINKS_RSS_MAX_SUMMARY','RSS/ATOM記事の要約の最大文字数');
define('_WEBLINKS_RSS_MAX_SUMMARY_DSC', 'トップページでRSS/ATOM記事の要約を表示する最大文字数を指定してください。');


// use link field
define('_WEBLINKS_ADMIN_POST','リンク登録項目の設定');
define('_WEBLINKS_ADMIN_POST_TEXT_1', '「未使用」を選択すると、投稿欄に表示しません。');
define('_WEBLINKS_ADMIN_POST_TEXT_2', '「使用」を選択すると、投稿欄に表示します。');
define('_WEBLINKS_ADMIN_POST_TEXT_3', '「必須」を選択すると、投稿欄に表示し、必須項目となります。');
define('_WEBLINKS_NO_USE','未使用');
define('_WEBLINKS_USE','使用');
define('_WEBLINKS_INDISPENSABLE','必須');
define('_WEBLINKS_TYPE_DESC','登録フォームの説明欄の形式');
define('_WEBLINKS_TYPE_DESC_DSC', '「いいえ」を選択すると、通常のテキストボックスが使用します。<br />「はい」を選択すると、XOOPSのDHTML形式を使用します。');
define('_WEBLINKS_CHECK_DOUBLE','同じリンク先の登録をチェックする');
define('_WEBLINKS_CHECK_DOUBLE_DSC', '「いいえ」を選択すると、同じリンク先が登録できます。<br />「はい」を選択すると、同じリンク先が登録されていないかチェックします。');
define('_WEBLINKS_POST_UPDATED', 'リンク登録項目の設定を更新した');

// cateogry
define('_WEBLINKS_ADMIN_CAT_SET','カテゴリの設定');
define('_WEBLINKS_CAT_SEL', '選択できるカテゴリの最大数');
define('_WEBLINKS_CAT_SEL_DSC', '１つのリンクが選択できるカテゴリの最大数を指定してください。');
define('_WEBLINKS_CAT_SUB','サブカテゴリの最大表示数');
define('_WEBLINKS_CAT_SUB_DSC','トップページのカテゴリ一覧表示において、サブカテゴリの最大表示数を指定してください。');
define('_WEBLINKS_CAT_IMG_MODE','カテゴリ表示のカテゴリ画像の指定');
define('_WEBLINKS_CAT_IMG_MODE_DSC', '「なし」のときは、画像を表示しない。<br />「folder.gif」のときは、folder.gif を表示する。<br />「設定した画像」のときは、カテゴリ毎に設定された画像を表示する。');
define("_WEBLINKS_CAT_IMG_MODE_0","なし");
define("_WEBLINKS_CAT_IMG_MODE_1","folder.gif");
define("_WEBLINKS_CAT_IMG_MODE_2","設定した画像");
define('_WEBLINKS_CAT_IMG_WIDTH','カテゴリ表示の画像幅の最大値');
define('_WEBLINKS_CAT_IMG_HEIGHT','カテゴリ表示の画像高の最大値');
define('_WEBLINKS_CAT_IMG_SIZE_DSC','「設定した画像」のときに有効。');
define('_WEBLINKS_CAT_UPDATED', 'カテゴリの設定を更新した');


//======	cateogry_list.php 	======
define("_WEBLINKS_ADMIN_CATEGORY_MANAGE","カテゴリの管理");
define("_WEBLINKS_ADMIN_CATEGORY_LIST","カテゴリの一覧表示");
define("_WEBLINKS_ORDER_ID","ID 順");
define("_WEBLINKS_ORDER_TREE","ツリー順");
define("_WEBLINKS_CAT_ORDER","カテゴリの並び順");
define("_WEBLINKS_THERE_ARE_CATEGORY","現在データベースには <b>%s</b> 件のカテゴリが登録されています。");
define("_WEBLINKS_ADMIN_CATEGORY_NOTICE_1","<b>カテゴリID</b> をクリックすると、カテゴリ修正のページが開きます。");
define("_WEBLINKS_ADMIN_CATEGORY_NOTICE_2","<b>親カテゴリ</b> あるいは <b>タイトル</b> をクリックすると、そのカテゴリの並び順が開きます。");
define("_WEBLINKS_NO_CATEGORY","該当するカテゴリはありません");
define("_WEBLINKS_NUM_SUBCAT","サブカテゴリ数");
define('_WEBLINKS_ORDERS_UPDATED', 'カテゴリの並び順を更新した');

//======	cateogry_manage.php 	======
define("_WEBLINKS_IMGURL_MAIN","カテゴリ画像URL");
define("_WEBLINKS_IMGURL_MAIN_DSC1","オプションです。<br />画像ファイルの大きさは自動的に調整されます。");
define("_WEBLINKS_IMGURL_MAIN_DSC2","メイン・カテゴリで有効です。");

//======	link_list.php 	======
define("_WEBLINKS_ADMIN_LINK_MANAGE","リンクの管理");
define("_WEBLINKS_ADMIN_LINK_LIST","リンクの一覧表示");
define("_WEBLINKS_ADMIN_LINK_BROKEN","リンク切れの一覧表示");
define("_WEBLINKS_ADMIN_LINK_ALL_ASC","全てのリンクの一覧表示（ID 順）");
define("_WEBLINKS_ADMIN_LINK_ALL_DESC","全てのリンクの一覧表示（ID 逆順）");
define("_WEBLINKS_ADMIN_LINK_NOURL","URLが設定されていないリンクの一覧表示");
define("_WEBLINKS_COUNT_BROKEN","リンク切れ回数");
define("_WEBLINKS_NO_LINK","該当するリンク情報はありません");
define("_WEBLINKS_ADMIN_PRESENT_SAVE","ここに表示されているのは、現在保存されているデータです。");

//======	link_manage.php 	======
define("_WEBLINKS_USERID","ユーザ ID");
define("_WEBLINKS_CREATE","登録日");

//======	link_broken_check.php 	======
define("_WEBLINKS_ADMIN_LINK_CHECK_UPDATE","リンクの検査と更新");
define("_WEBLINKS_ADMIN_LINK_BROKEN_CHECK","リンク切れの検査");
define("_WEBLINKS_ADMIN_BROKEN_CHECK","検査");
define("_WEBLINKS_ADMIN_BROKEN_RESULT","検査結果");
define("_WEBLINKS_ADMIN_LINK_BROKEN_CHECK_CAUTION","リンク数が多いと、タイムアウトすることがあります。<br />そのときは、limit と offset の数値を変更してください。<br />limit=0 は制限なしです。<br />");
define("_WEBLINKS_ADMIN_LINK_BROKEN_CHECK_NOTICE","<b>リンクID</b> をクリックすると、リンク修正のページが開きます。<br /><b>ウェブサイトURL</b> をクリックすると、該当するURLが開きます。<br />");
define("_WEBLINKS_ADMIN_LINK_BROKEN_CHECK_GOOGLE","<b>ウェブサイト名</b> をクリックすると、google検索が開きます。<br />");
define("_WEBLINKS_ADMIN_LIMIT","リンク数の上限(limit)");
define("_WEBLINKS_ADMIN_OFFSET","オフセット(offset)");
define("_WEBLINKS_ADMIN_TIME_START","開始時刻");
define("_WEBLINKS_ADMIN_TIME_END","終了時刻");
define("_WEBLINKS_ADMIN_TIME_ELAPSE","経過時間");
define("_WEBLINKS_ADMIN_LINK_NUM_ALL","全リンク数");
define("_WEBLINKS_ADMIN_LINK_NUM_CHECK","検査したリンク数");
define("_WEBLINKS_ADMIN_LINK_NUM_BROKEN","リンク切れのリンク数");
define("_WEBLINKS_ADMIN_NUM","件");
define("_WEBLINKS_ADMIN_MIN_SEC","%s 分 %s 秒");
define("_WEBLINKS_ADMIN_CHECK_NEXT","次の %s 件を検査する");
define("_WEBLINKS_ADMIN_RSS_REFRESH_NOTE","同時にRSS/ATOMの自動検出を行います");

//======	rss_manage.php 	======
define("_WEBLINKS_ADMIN_RSS_MANAGE","RSS/ATOMの管理");
define("_WEBLINKS_ADMIN_RSS_REFRESH","RSS/ATOMのキャッシュ更新");
define("_WEBLINKS_ADMIN_RSS_REFRESH_LINK","リンク情報のキャッシュ更新");
define("_WEBLINKS_ADMIN_RSS_REFRESH_SITE","RSS検索サイトのキャッシュ更新");
define("_WEBLINKS_ADMIN_NUM_REFRESH_RSS_URL","更新したRSS/ATOMのURL数");
define("_WEBLINKS_ADMIN_NUM_REFRESH_RSS_SITE","更新したRSS/ATOMのサイト数");
define("_WEBLINKS_ADMIN_NUM_REFRESH_ATOM_SITE","更新したATOM FEEDのサイト数");
define("_WEBLINKS_ADMIN_NUM_REFRESH_ATOMFEED","更新したATOM FEEDの記事数");
define("_WEBLINKS_ADMIN_RSS_CACHE_CLEAR","RSS/ATOMのキャッシュ・クリア");
define("_WEBLINKS_RSS_CLEAR_NUM","指定した件数以上ならば、日付の古い順にクリアする");
define("_WEBLINKS_RSS_NUMBER","件数");
define("_WEBLINKS_RSS_CLEAR_LID","リンクIDを指定してクリアする");
define("_WEBLINKS_RSS_CLEAR_ALL","全てクリアする");
define("_WEBLINKS_NUM_RSS_CLEAR_LINK","クリアしたRSS/ATOMのキャッシュ");
define("_WEBLINKS_NUM_RSS_CLEAR_ATOMFEED","クリアしたRSS/ATOM記事の数");

//======	user_list.php 	======
define("_WEBLINKS_ADMIN_USER_MANAGE", "ユーザの管理");
define("_WEBLINKS_ADMIN_USER_EMAIL", "Ｅメールアドレスを持つユーザの一覧");
define("_WEBLINKS_ADMIN_USER_LINK", "リンク情報を登録している登録ユーザの一覧");
define("_WEBLINKS_ADMIN_USER_NOLINK", "リンク情報を登録していない登録ユーザの一覧");
define("_WEBLINKS_ADMIN_USER_EMAIL_DSC", "重複しているＥメールアドレスは１つだけ表示されます");
define("_WEBLINKS_ADMIN_USER_LINK_DSC", "XOOPSコアの「メッセージの送信」を使用します");
define("_WEBLINKS_USER_ALL", "（全て）");
define("_WEBLINKS_USER_MAX", "（ %s 人毎）");
define("_WEBLINKS_THERE_ARE_USER", "<b>%s</b> 人のユーザが見つかりました");
define("_WEBLINKS_USER_NUM", "%s 人目から %s 人目までを表示します");
define("_WEBLINKS_USER_NOFOUND", "条件に合うユーザが見つかりませんでした");
define("_WEBLINKS_UID_EMAIL", "投稿者のＥメールアドレス");

//======	mail_users.php 	======
define("_WEBLINKS_ADMIN_SENDMAIL", "Ｅメールの送信");
define("_WEBLINKS_THERE_ARE_EMAIL","<b>%s</b> 人宛のＥメールがあります");
define("_WEBLINKS_SEND_NUM", "%s 人目から %s 人目までを送信します");
define("_WEBLINKS_SEND_NEXT","次の %s 件を送信する");
define("_WEBLINKS_SUBJECT_FROM", "%s からのお知らせ");
define("_WEBLINKS_HELLO", "%s さん こんにちは");
define("_WEBLINKS_MAIL_TAGS1","{W_NAME} はユーザ名を表示します");
define("_WEBLINKS_MAIL_TAGS2","{W_EMAIL} はユーザのメールアドレスを表示します");
define("_WEBLINKS_MAIL_TAGS3","{W_LID} はリンクIDを表示します");

// general
define('_WEBLINKS_WEBMASTER', 'WEB管理者');
define('_WEBLINKS_SUBMITTER', '投稿者');
define("_WEBLINKS_MID","修正 ID");
define("_WEBLINKS_UPDATE","更新");
define("_WEBLINKS_SET_DEFAULT","デフォルト値を設定する");
define("_WEBLINKS_CLEAR","クリア");
define("_WEBLINKS_CHECK","検査");
define("_WEBLINKS_NON","何もしない");
define("_WEBLINKS_SENDMAIL", "Ｅメールを送信する");

// 2005-08-09
// BUG 2827: RSS refresh: Invalid argument supplied for foreach()
define("_WEBLINKS_ADMIN_NO_LINK_BROKEN_CHECK","検査するリンクがない");
define("_WEBLINKS_ADMIN_NO_RSS_REFRESH","更新するリンクがない");

// 2005-10-20
define("_WEBLINKS_LINK_APPROVED", "リンク登録の依頼は承認されました");
define("_WEBLINKS_LINK_REFUSED", "リンク登録の依頼は拒否されました");

?>